package hra;

/**
 *
 * @author lsroubov
 */
public class Hrac {
   private String jmeno; 
   private int hraciPlan;
   private int poloha;
   private HodKostkou kostka;
   private String zprava;
   
   public Hrac(String jmeno, int hraciPlan, int poloha, HodKostkou kostka){
       this.jmeno = jmeno;
       this.hraciPlan = hraciPlan;
       this.poloha = poloha;
       this.kostka = kostka;
   }
   
   private void nastavZpravu(String zprava){
       this.zprava = zprava;
   }
   
   public String vratPosledniZpravu() {
       return(zprava);
   }
   
   @Override
   public String toString(){
       return jmeno;
   }
   
   public boolean ukonciHru() {
       return(poloha == hraciPlan);
   }
   
   public String vypisStavHry() {
       String s = "|";
       for(int i = 0; i < poloha; i++){
           s += "_|";
       }
       s += 'o';
       for(int i = poloha+1; i<=hraciPlan; i++){
           s += "|-";
       }
       s += "|";
       return(s);
   }
   
   public void hrajTed(Hrac ucastnik) {
       int pocet = kostka.hazej();
       poloha += pocet;
       if (poloha > hraciPlan){
           poloha -= pocet;
           nastavZpravu(String.format("%n%s hodil %d, nemuze hrat.%n", jmeno,pocet));
       } else if(poloha == hraciPlan) {
           nastavZpravu(String.format("%n%s hodil %d, vitezi !!!!%n", jmeno,pocet));
       } else {
           nastavZpravu(String.format("%n%s hodil %d, hraje dal.", jmeno,pocet));
       }
       
   }
}
